#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdaddbd5a, "trace_handle_return" },
	{ 0xf88e7140, "pci_write_config_word" },
	{ 0x439b3586, "pcim_enable_device" },
	{ 0x754d539c, "strlen" },
	{ 0x35250628, "pcim_iomap_table" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x939dbd30, "trace_event_buffer_reserve" },
	{ 0x4629334c, "__preempt_count" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x668f555, "pci_reset_function" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xb8b03e54, "__init_waitqueue_head" },
	{ 0x4b0f6e1f, "pci_set_master" },
	{ 0xa5c7e4f9, "ishtp_reset_handler" },
	{ 0xae8ae5b5, "pci_alloc_irq_vectors_affinity" },
	{ 0x80a11456, "trace_define_field" },
	{ 0xe8da82f0, "ishtp_start" },
	{ 0x40e7f07f, "bpf_trace_run1" },
	{ 0x8e80f8e3, "ishtp_reset_compl_handler" },
	{ 0x6cc98101, "current_task" },
	{ 0x2170285c, "ishtp_recv" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x936da2c9, "trace_event_reg" },
	{ 0x34712679, "pci_read_config_word" },
	{ 0xce8b1878, "__x86_indirect_thunk_r14" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x3145216f, "pci_dev_present" },
	{ 0x54c75ac5, "perf_trace_run_bpf_submit" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cfc3982, "pcim_iomap_regions" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0x7260e249, "___preempt_schedule_notrace" },
	{ 0x30a43e5f, "trace_event_ignore_this_pid" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf695f591, "ishtp_bus_remove_all_clients" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x22b019cb, "ishtp_send_suspend" },
	{ 0x9863c0cb, "ishtp_send_resume" },
	{ 0xac8222f2, "trace_event_buffer_commit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x96b0c10d, "pci_unregister_driver" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9ea53d7f, "vsnprintf" },
	{ 0x7d7f7c71, "__wake_up" },
	{ 0xb8b94469, "event_triggers_call" },
	{ 0x66e00ab8, "pci_set_power_state" },
	{ 0x6e2f510d, "prepare_to_wait_event" },
	{ 0xe673dcb3, "ishtp_device_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc7dec81e, "trace_event_raw_init" },
	{ 0xcacbf08f, "__pci_register_driver" },
	{ 0xae235d77, "finish_wait" },
	{ 0x187d620e, "trace_raw_output_prep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8888b156, "trace_seq_printf" },
	{ 0x159ffeb5, "devm_kmalloc" },
	{ 0xd2bc870e, "devm_request_threaded_irq" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=intel-ishtp";

MODULE_ALIAS("pci:v00008086d000022D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D35sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DFCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A37Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A135sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BB3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A0FCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4BD985DFB8269498589E4F4");

MODULE_INFO(suserelease, "SLE15-SP3");
