#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x3a32e179, "i2c_del_driver" },
	{ 0xdb4ac265, "i2c_register_driver" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0xa39596c8, "input_free_device" },
	{ 0xb76dda9, "input_alloc_absinfo" },
	{ 0x6bc07245, "input_register_device" },
	{ 0x197cc327, "input_mt_init_slots" },
	{ 0x7258107d, "input_set_abs_params" },
	{ 0x557c818d, "input_set_capability" },
	{ 0x6a28460, "input_allocate_device" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x64ea6226, "release_firmware" },
	{ 0xbd7e9027, "request_firmware" },
	{ 0xe27d0ee8, "i2c_transfer_buffer_flags" },
	{ 0x69acdf38, "memcpy" },
	{ 0x694e25cc, "sysfs_create_group" },
	{ 0x68f40ab6, "device_property_read_u32_array" },
	{ 0x24d9c633, "gpiod_set_value" },
	{ 0xd2bc870e, "devm_request_threaded_irq" },
	{ 0x3e621353, "devm_gpiod_get_optional" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x159ffeb5, "devm_kmalloc" },
	{ 0x63a7f2da, "is_acpi_device_node" },
	{ 0xb5821916, "device_property_present" },
	{ 0xa6843431, "request_firmware_nowait" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1389aad3, "_dev_info" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa6257a2f, "complete" },
	{ 0x99d63b58, "input_mt_report_slot_state" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8f3d0a32, "input_event" },
	{ 0xe61e8d37, "input_mt_report_pointer_emulation" },
	{ 0xbfcac0e9, "input_unregister_device" },
	{ 0xee11dea7, "sysfs_remove_group" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x37a0cba, "kfree" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x4183346b, "i2c_transfer" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "33E2B1F4E105A0F71B7A116");

MODULE_INFO(suserelease, "SLE15-SP3");
