#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x75ed5449, "noop_llseek" },
	{ 0x54ded330, "param_ops_bool" },
	{ 0xf7142e7, "param_ops_int" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0x45c9fc9a, "rc_keyup" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdde8e1b0, "rc_keydown" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb901b081, "rc_free_device" },
	{ 0xa39596c8, "input_free_device" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x9f5b97ef, "usb_register_dev" },
	{ 0x694e25cc, "sysfs_create_group" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7258107d, "input_set_abs_params" },
	{ 0x9a9805d6, "rc_register_device" },
	{ 0xe3b73055, "rc_allocate_device" },
	{ 0x6bc07245, "input_register_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x6a28460, "input_allocate_device" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0x99c1f99, "__mutex_do_init" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x170fa8b4, "usb_alloc_urb" },
	{ 0x5d7532f, "usb_ifnum_to_if" },
	{ 0x962a37cc, "usb_get_dev" },
	{ 0x8f3d0a32, "input_event" },
	{ 0x196a25ab, "usb_free_urb" },
	{ 0x120bdf4c, "usb_deregister_dev" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0xbf116d2b, "rc_unregister_device" },
	{ 0xbfcac0e9, "input_unregister_device" },
	{ 0x5c1e72c4, "usb_put_dev" },
	{ 0xee11dea7, "sysfs_remove_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1389aad3, "_dev_info" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0x362ef408, "_copy_from_user" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6cc98101, "current_task" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc5850110, "printk" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0xb00c6464, "usb_find_interface" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0xa6257a2f, "complete" },
	{ 0x289299f0, "usb_kill_urb" },
	{ 0xde5dd7d, "rc_g_keycode_from_table" },
	{ 0x11b8a4bb, "usb_submit_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,rc-core";

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F3B6BBB89337C1129902B18");

MODULE_INFO(suserelease, "SLE15-SP3");
