#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x77ae7bed, "usbnet_get_stats64" },
	{ 0x4a86c39b, "usbnet_tx_timeout" },
	{ 0x4ea408d7, "cdc_ncm_change_mtu" },
	{ 0x22c143ce, "eth_validate_addr" },
	{ 0xed0cc47c, "eth_mac_addr" },
	{ 0x5cc1c6b3, "usbnet_start_xmit" },
	{ 0xcc3a9dc9, "usbnet_stop" },
	{ 0x9a14c533, "usbnet_open" },
	{ 0xb11dd0b2, "usbnet_disconnect" },
	{ 0xefbff16b, "usbnet_probe" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0x26edaa92, "__vlan_find_dev_deep_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfd77856f, "in6_dev_finish_destroy" },
	{ 0x2477957b, "ipv6_stub" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x43999a92, "__dynamic_netdev_dbg" },
	{ 0x6da57e8e, "usbnet_skb_return" },
	{ 0x69acdf38, "memcpy" },
	{ 0x506c2e44, "skb_put" },
	{ 0x580ac938, "__netdev_alloc_skb" },
	{ 0xbfa9e688, "cdc_ncm_rx_verify_ndp16" },
	{ 0xeed5bccb, "cdc_ncm_rx_verify_nth16" },
	{ 0xe9c19b43, "usb_match_id" },
	{ 0xd0900531, "usb_set_interface" },
	{ 0xb21b387d, "usb_cdc_wdm_register" },
	{ 0x25b0bf33, "cdc_ncm_bind_common" },
	{ 0xa9c18ca, "cdc_ncm_select_altsetting" },
	{ 0x97dd7342, "usbnet_suspend" },
	{ 0x4c4f0493, "usbnet_resume" },
	{ 0x86399ff4, "cdc_ncm_unbind" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0xad77a72f, "usb_autopm_put_interface" },
	{ 0x337d6855, "usb_autopm_get_interface" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x57d0af91, "netdev_err" },
	{ 0xc8a0852d, "skb_pull" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0xed570444, "cdc_ncm_fill_tx_frame" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4e73593f, "__dev_kfree_skb_any" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,cdc_ncm,usbcore,cdc-wdm";

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v03F0pA31Dd*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1041d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1071d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Eip00in*");

MODULE_INFO(srcversion, "8ADC4D78607F90E9C696336");

MODULE_INFO(suserelease, "SLE15-SP3");
