#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x77ae7bed, "usbnet_get_stats64" },
	{ 0x4a86c39b, "usbnet_tx_timeout" },
	{ 0xa7aadc5d, "usbnet_change_mtu" },
	{ 0x22c143ce, "eth_validate_addr" },
	{ 0xed0cc47c, "eth_mac_addr" },
	{ 0x5cc1c6b3, "usbnet_start_xmit" },
	{ 0xcc3a9dc9, "usbnet_stop" },
	{ 0x9a14c533, "usbnet_open" },
	{ 0xfa750a31, "usbnet_set_link_ksettings" },
	{ 0xc3d33c60, "usbnet_get_link_ksettings" },
	{ 0xcb8ab0a7, "usbnet_nway_reset" },
	{ 0x8f0c55c6, "usbnet_set_msglevel" },
	{ 0x25781905, "usbnet_get_msglevel" },
	{ 0x4c4f0493, "usbnet_resume" },
	{ 0x97dd7342, "usbnet_suspend" },
	{ 0xb11dd0b2, "usbnet_disconnect" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0x45ffad05, "usbnet_link_change" },
	{ 0xa6f55608, "usb_control_msg" },
	{ 0x4e73593f, "__dev_kfree_skb_any" },
	{ 0x5c63c6df, "skb_push" },
	{ 0x5f620a3, "usbnet_status_stop" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x15fd0529, "usbnet_status_start" },
	{ 0xefbff16b, "usbnet_probe" },
	{ 0x24d273d1, "add_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8d6df63b, "usbnet_write_cmd" },
	{ 0x57d0af91, "netdev_err" },
	{ 0x6da57e8e, "usbnet_skb_return" },
	{ 0x9de9f296, "skb_trim" },
	{ 0xdeea086d, "skb_clone" },
	{ 0xc8a0852d, "skb_pull" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0xa09d8ec, "usbnet_read_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3b19a51b, "netif_carrier_off" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x46210925, "usbnet_get_endpoints" },
	{ 0x3e386261, "usbnet_get_drvinfo" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "79024F3EC1EE44C7D105361");

MODULE_INFO(suserelease, "SLE15-SP3");
