#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x4043a98, "ieee80211_rts_duration" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeaabfe61, "ieee80211_rx_irqsafe" },
	{ 0xf9a482f9, "msleep" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x3e3f913, "dma_set_mask" },
	{ 0x2f278c6d, "boot_cpu_data" },
	{ 0x21188c89, "pci_disable_device" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x282c8214, "ieee80211_beacon_get_tim" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca02466c, "ieee80211_unregister_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x921c6513, "pci_release_regions" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd07c1b01, "dma_free_attrs" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2eab7f25, "dma_set_coherent_mask" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0x580ac938, "__netdev_alloc_skb" },
	{ 0x6f2eb50a, "ieee80211_stop_queue" },
	{ 0x4b0f6e1f, "pci_set_master" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xf10de535, "ioread8" },
	{ 0xe805b903, "pci_iounmap" },
	{ 0x12833594, "ieee80211_alloc_hw_nm" },
	{ 0xc5850110, "printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x4d59f913, "dma_alloc_attrs" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1389aad3, "_dev_info" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9cb986f2, "vmalloc_base" },
	{ 0xa7cdf2b4, "ieee80211_tx_status_irqsafe" },
	{ 0x848d372e, "iowrite8" },
	{ 0x87ed9839, "kfree_skb" },
	{ 0x51d0a9a4, "dma_map_page_attrs" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x2689063e, "dev_driver_string" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96b0c10d, "pci_unregister_driver" },
	{ 0x334dcbfe, "ieee80211_wake_queue" },
	{ 0x1b12d21d, "ieee80211_generic_frame_duration" },
	{ 0xe04e66fd, "pci_try_set_mwi" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe7895ac1, "ieee80211_ctstoself_duration" },
	{ 0x9e07ad3e, "ieee80211_register_hw" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x5aa77c8b, "pci_request_regions" },
	{ 0xcacbf08f, "__pci_register_driver" },
	{ 0x2fcf1276, "dma_unmap_page_attrs" },
	{ 0xc5534d64, "ioread16" },
	{ 0x455382e4, "ieee80211_free_hw" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd97a8586, "pci_iomap" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x506c2e44, "skb_put" },
	{ 0xf2eca81f, "pci_enable_device" },
	{ 0xe484e35f, "ioread32" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcde3c0d2, "ieee80211_queue_stopped" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mac80211,eeprom_93cx6,cfg80211";

MODULE_ALIAS("pci:v000010ECd00008199sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008185sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001799d0000700Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001799d0000701Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008180sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001799d00006001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001799d00006020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00003300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00003301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007106sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41B4BE3AE84BD737E23B160");

MODULE_INFO(suserelease, "SLE15-SP3");
