#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x54ded330, "param_ops_bool" },
	{ 0xfa418a92, "param_ops_charp" },
	{ 0x20ac3510, "param_ops_uint" },
	{ 0x87b2f9c3, "param_array_ops" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0x7d7f7c71, "__wake_up" },
	{ 0xd0900531, "usb_set_interface" },
	{ 0x61ed1da7, "kthread_create_on_node" },
	{ 0x170fa8b4, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb8b03e54, "__init_waitqueue_head" },
	{ 0x694e25cc, "sysfs_create_group" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x48404f7d, "usb_bulk_msg" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0x4965f124, "usb_string" },
	{ 0xa6843431, "request_firmware_nowait" },
	{ 0x2d2696b2, "wake_up_process" },
	{ 0x9d62c5b2, "usbatm_usb_probe" },
	{ 0x1ddfef89, "usb_reset_device" },
	{ 0x5a921311, "strncmp" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0xfce62db0, "kernel_param_unlock" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xe4371634, "kernel_param_lock" },
	{ 0x4df02057, "crc32_be" },
	{ 0xbd7e9027, "request_firmware" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x67af404f, "freezing_slow_path" },
	{ 0x6cc98101, "current_task" },
	{ 0x7ab88a45, "system_freezing_cnt" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x8e6b32bc, "atm_dev_signal_change" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x11b8a4bb, "usb_submit_urb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x364d3370, "usb_driver_claim_interface" },
	{ 0x5d7532f, "usb_ifnum_to_if" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xae235d77, "finish_wait" },
	{ 0x6e2f510d, "prepare_to_wait_event" },
	{ 0x1000e51, "schedule" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x64ea6226, "release_firmware" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x196a25ab, "usb_free_urb" },
	{ 0x289299f0, "usb_kill_urb" },
	{ 0xec94be50, "kthread_stop" },
	{ 0xee11dea7, "sysfs_remove_group" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6f55608, "usb_control_msg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x1389aad3, "_dev_info" },
	{ 0xe94c1dce, "usbatm_usb_disconnect" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,usbatm,atm";

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "AEBDE4324724F8B5C4D3E3C");

MODULE_INFO(suserelease, "SLE15-SP3");
