#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x418f949b, "scsi_add_host_with_dma" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0xb8b03e54, "__init_waitqueue_head" },
	{ 0xd6900a20, "scsi_host_alloc" },
	{ 0xbfd63fd2, "usb_stor_adjust_quirks" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0xe043e05e, "usb_unlink_urb" },
	{ 0x99d24351, "sdev_prefix_printk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7f89e005, "usb_unanchor_urb" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x11b8a4bb, "usb_submit_urb" },
	{ 0x52c5be18, "usb_anchor_urb" },
	{ 0x170fa8b4, "usb_alloc_urb" },
	{ 0x675b4559, "blk_queue_max_hw_sectors" },
	{ 0x3fb36537, "blk_queue_update_dma_alignment" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0xa5105ebf, "scsi_scan_host" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0xdf5bf967, "usb_lock_device_for_reset" },
	{ 0xff55da95, "scsi_host_put" },
	{ 0xb7a84360, "scsi_remove_host" },
	{ 0x5ef5437f, "usb_kill_anchored_urbs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5850110, "printk" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x289299f0, "usb_kill_urb" },
	{ 0x9cd4e742, "usb_get_urb" },
	{ 0x2dd74ce8, "scsi_print_command" },
	{ 0xa420c305, "scmd_printk" },
	{ 0x234be662, "scsi_report_bus_reset" },
	{ 0x46867d7c, "usb_alloc_streams" },
	{ 0x8f438f01, "scsi_change_queue_depth" },
	{ 0x9b432d86, "scsi_is_host_device" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x196a25ab, "usb_free_urb" },
	{ 0x27ea9cb3, "scsi_unblock_requests" },
	{ 0x9dd5d3ea, "dev_printk" },
	{ 0x1aea7a51, "scsi_block_requests" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0xfc1af9f2, "usb_wait_anchor_empty_timeout" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ddfef89, "usb_reset_device" },
	{ 0xd0900531, "usb_set_interface" },
	{ 0x15af7f4, "system_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x574d5518, "usb_free_streams" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,scsi_mod,usb-storage";

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "47890C34056A676F1DEC17A");

MODULE_INFO(suserelease, "SLE15-SP3");
