#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0xf7142e7, "param_ops_int" },
	{ 0x9a088c78, "snd_pcm_period_elapsed" },
	{ 0xb3d885da, "usb_init_urb" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x289299f0, "usb_kill_urb" },
	{ 0x54ded330, "param_ops_bool" },
	{ 0x64048597, "snd_rawmidi_set_ops" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0a0951, "snd_card_disconnect" },
	{ 0x35e189fb, "snd_rawmidi_new" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x7258107d, "input_set_abs_params" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0x8f3d0a32, "input_event" },
	{ 0xb8b03e54, "__init_waitqueue_head" },
	{ 0xfa418a92, "param_ops_charp" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0xfc198e43, "snd_pcm_set_managed_buffer_all" },
	{ 0x4965f124, "usb_string" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0xc2a67607, "snd_pcm_set_ops" },
	{ 0xd0900531, "usb_set_interface" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0xcbd6f09f, "snd_card_set_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0xf5f41604, "usb_urb_ep_type_check" },
	{ 0x2f78db2f, "snd_card_new" },
	{ 0x11b8a4bb, "usb_submit_urb" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x1ddfef89, "usb_reset_device" },
	{ 0x6bc07245, "input_register_device" },
	{ 0x48404f7d, "usb_bulk_msg" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x183bb3b2, "snd_ctl_new1" },
	{ 0xa39596c8, "input_free_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x7d7f7c71, "__wake_up" },
	{ 0x6e2f510d, "prepare_to_wait_event" },
	{ 0x37a0cba, "kfree" },
	{ 0xbfcac0e9, "input_unregister_device" },
	{ 0x87b2f9c3, "param_array_ops" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0xae235d77, "finish_wait" },
	{ 0xe9bb2f7a, "snd_card_free" },
	{ 0x87a3ac96, "snd_card_register" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7f3f5b34, "snd_pcm_new" },
	{ 0xe4a3f787, "snd_ctl_add" },
	{ 0xcf2062f0, "snd_rawmidi_transmit" },
	{ 0x69255f54, "snd_pcm_hw_limit_rates" },
	{ 0x196a25ab, "usb_free_urb" },
	{ 0x7bd92d1a, "snd_rawmidi_receive" },
	{ 0x170fa8b4, "usb_alloc_urb" },
	{ 0x6a28460, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,usbcore,snd-rawmidi,snd";

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "9D312F71D9365769776DA5B");

MODULE_INFO(suserelease, "SLE15-SP3");
