#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd97c50b3, "driver_register" },
	{ 0xf7142e7, "param_ops_int" },
	{ 0xc59edfbd, "dvb_dmx_init" },
	{ 0xae43fc5, "dvb_unregister_adapter" },
	{ 0x754d539c, "strlen" },
	{ 0x99c1f99, "__mutex_do_init" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xfd417f52, "dvb_register_frontend" },
	{ 0xe9f792ac, "dvb_register_device" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcb2e7f0e, "fw_bus_type" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0xf93c8bf1, "dvb_unregister_frontend" },
	{ 0xdd64e639, "strscpy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7e28cd1, "dvb_net_release" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x2f218701, "fw_iso_context_start" },
	{ 0x745406f6, "fw_iso_context_queue_flush" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0x8f3d0a32, "input_event" },
	{ 0xb8b03e54, "__init_waitqueue_head" },
	{ 0xfb578fc5, "memset" },
	{ 0x7d243a3e, "param_ops_short" },
	{ 0xb053c6e0, "dvb_dmxdev_release" },
	{ 0xc5850110, "printk" },
	{ 0x4fdfeb9e, "dvb_net_init" },
	{ 0xe9d18ef4, "driver_unregister" },
	{ 0x58bead2c, "dvb_generic_release" },
	{ 0x5a921311, "strncmp" },
	{ 0x75ed5449, "noop_llseek" },
	{ 0x170cf88c, "fw_iso_buffer_destroy" },
	{ 0xf2431670, "dvb_unregister_device" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x42e53a99, "dvb_dmx_release" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1389aad3, "_dev_info" },
	{ 0xd94c847f, "fw_iso_context_queue" },
	{ 0x2af31ef3, "dvb_generic_ioctl" },
	{ 0x4cd80e09, "dvb_dmx_swfilter_packets" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x6bc07245, "input_register_device" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x64e0d34d, "dvb_generic_open" },
	{ 0xa39596c8, "input_free_device" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x64ebb577, "fw_core_add_address_handler" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2c221f9b, "dvb_register_adapter" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x7d7f7c71, "__wake_up" },
	{ 0x9c715b22, "fw_iso_context_stop" },
	{ 0x6e2f510d, "prepare_to_wait_event" },
	{ 0x8e489841, "fw_core_remove_address_handler" },
	{ 0x37a0cba, "kfree" },
	{ 0x546d4a7a, "fw_iso_context_create" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbfcac0e9, "input_unregister_device" },
	{ 0x4df02057, "crc32_be" },
	{ 0x87b2f9c3, "param_array_ops" },
	{ 0xae235d77, "finish_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0x25a916eb, "fw_iso_buffer_init" },
	{ 0x3983446b, "fw_run_transaction" },
	{ 0xc4db08b5, "_mutex_lock_interruptible" },
	{ 0xb6e73120, "fw_iso_context_destroy" },
	{ 0xae7351a3, "dvb_dmxdev_init" },
	{ 0x6a28460, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=dvb-core,firewire-core";

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "BD8F64D15A443FAB6F5AB88");

MODULE_INFO(suserelease, "SLE15-SP3");
