#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0xa8826818, "netdev_info" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x86208368, "mii_ethtool_gset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6200cb72, "phy_disconnect" },
	{ 0x4c4f0493, "usbnet_resume" },
	{ 0x7f657490, "phy_stop" },
	{ 0xefbff16b, "usbnet_probe" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x45ffad05, "usbnet_link_change" },
	{ 0x2584508c, "__mdiobus_register" },
	{ 0x9a473f71, "phy_ethtool_nway_reset" },
	{ 0xb11dd0b2, "usbnet_disconnect" },
	{ 0xf0f39387, "generic_mii_ioctl" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0x4e73593f, "__dev_kfree_skb_any" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcc3a9dc9, "usbnet_stop" },
	{ 0x2aad9d43, "usbnet_update_max_qlen" },
	{ 0x4c7de3b5, "mdiobus_unregister" },
	{ 0x43999a92, "__dynamic_netdev_dbg" },
	{ 0x580ac938, "__netdev_alloc_skb" },
	{ 0x41db9443, "phy_print_status" },
	{ 0xcb8ab0a7, "usbnet_nway_reset" },
	{ 0xfa750a31, "usbnet_set_link_ksettings" },
	{ 0xed7c5d90, "phy_start" },
	{ 0xebf796ae, "mii_nway_restart" },
	{ 0x77ae7bed, "usbnet_get_stats64" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0x39767573, "eth_platform_get_mac_address" },
	{ 0x5fdad6e1, "mdiobus_free" },
	{ 0x46210925, "usbnet_get_endpoints" },
	{ 0xc3d33c60, "usbnet_get_link_ksettings" },
	{ 0x3e386261, "usbnet_get_drvinfo" },
	{ 0x5c63c6df, "skb_push" },
	{ 0x77c1f6ca, "usbnet_read_cmd_nopm" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x5cc1c6b3, "usbnet_start_xmit" },
	{ 0x97dd7342, "usbnet_suspend" },
	{ 0x73e2ee9e, "usbnet_get_link" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf9479dcb, "usbnet_write_cmd_nopm" },
	{ 0xe014600b, "phy_ethtool_get_link_ksettings" },
	{ 0xe0526019, "skb_copy_expand" },
	{ 0xa09d8ec, "usbnet_read_cmd" },
	{ 0x12a38747, "usleep_range" },
	{ 0x4a86c39b, "usbnet_tx_timeout" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x87ed9839, "kfree_skb" },
	{ 0x4cd75ddf, "genphy_resume" },
	{ 0x6da57e8e, "usbnet_skb_return" },
	{ 0x9a14c533, "usbnet_open" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x1bbe888d, "mii_check_media" },
	{ 0x25781905, "usbnet_get_msglevel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57d0af91, "netdev_err" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x9f2089d9, "netdev_warn" },
	{ 0xa25b9a2e, "usbnet_unlink_rx_urbs" },
	{ 0x22c143ce, "eth_validate_addr" },
	{ 0xf98aaad7, "phy_ethtool_set_link_ksettings" },
	{ 0x37a0cba, "kfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbdaada2a, "usbnet_write_cmd_async" },
	{ 0xa7aadc5d, "usbnet_change_mtu" },
	{ 0x8175db5b, "phy_connect" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0xc6f09eca, "phy_mii_ioctl" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x19942740, "mii_link_ok" },
	{ 0xb0e602eb, "memmove" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0x506c2e44, "skb_put" },
	{ 0xed0cc47c, "eth_mac_addr" },
	{ 0x8d6df63b, "usbnet_write_cmd" },
	{ 0x8f0c55c6, "usbnet_set_msglevel" },
	{ 0x599fb2ec, "mdiobus_alloc_size" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mii,libphy,usbnet,usbcore";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp0114d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p061Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp7203d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p172Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp20F9d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "ACCEFABD3B2B21115FC65D7");

MODULE_INFO(suserelease, "SLE15-SP3");
