#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0xa8826818, "netdev_info" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfb308218, "ethtool_op_get_ts_info" },
	{ 0xc0209aa7, "usb_altnum_to_altsetting" },
	{ 0x4c4f0493, "usbnet_resume" },
	{ 0x1c95b14e, "hrtimer_active" },
	{ 0xefbff16b, "usbnet_probe" },
	{ 0x45ffad05, "usbnet_link_change" },
	{ 0x98bba953, "hrtimer_cancel" },
	{ 0xb11dd0b2, "usbnet_disconnect" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x4e73593f, "__dev_kfree_skb_any" },
	{ 0xcc3a9dc9, "usbnet_stop" },
	{ 0x2aad9d43, "usbnet_update_max_qlen" },
	{ 0x54ded330, "param_ops_bool" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x43999a92, "__dynamic_netdev_dbg" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0x580ac938, "__netdev_alloc_skb" },
	{ 0x63798950, "netif_schedule_queue" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xcb8ab0a7, "usbnet_nway_reset" },
	{ 0x9a9f2475, "hrtimer_start_range_ns" },
	{ 0xfa750a31, "usbnet_set_link_ksettings" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae7bed, "usbnet_get_stats64" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0xc5850110, "printk" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xd0900531, "usb_set_interface" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0xc3d33c60, "usbnet_get_link_ksettings" },
	{ 0x364d3370, "usb_driver_claim_interface" },
	{ 0x3e386261, "usbnet_get_drvinfo" },
	{ 0x5cc1c6b3, "usbnet_start_xmit" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0x97dd7342, "usbnet_suspend" },
	{ 0x73e2ee9e, "usbnet_get_link" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0x82072614, "tasklet_kill" },
	{ 0xa09d8ec, "usbnet_read_cmd" },
	{ 0x1389aad3, "_dev_info" },
	{ 0x6e89f15c, "__alloc_skb" },
	{ 0x12a38747, "usleep_range" },
	{ 0x4a86c39b, "usbnet_tx_timeout" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x844f4cc3, "cdc_parse_cdc_header" },
	{ 0xec9ff43, "usbnet_get_ethernet_addr" },
	{ 0x6da57e8e, "usbnet_skb_return" },
	{ 0xd607e172, "usb_driver_release_interface" },
	{ 0x9a14c533, "usbnet_open" },
	{ 0x25781905, "usbnet_get_msglevel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0xa25b9a2e, "usbnet_unlink_rx_urbs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x22c143ce, "eth_validate_addr" },
	{ 0x37a0cba, "kfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfc007c02, "hrtimer_init" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0x5d7532f, "usb_ifnum_to_if" },
	{ 0x506c2e44, "skb_put" },
	{ 0xed0cc47c, "eth_mac_addr" },
	{ 0x26348340, "usbnet_manage_power" },
	{ 0x8d6df63b, "usbnet_write_cmd" },
	{ 0x8f0c55c6, "usbnet_set_msglevel" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,usbnet";

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "923DA7124169BA9A56147D5");

MODULE_INFO(suserelease, "SLE15-SP3");
