#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x75f3048f, "sdio_writeb" },
	{ 0x2eb61850, "sdio_readb" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa8f10a4f, "mwifiex_cancel_hs" },
	{ 0xc0a60e5a, "sdio_writesb" },
	{ 0x6dc3c5f9, "sdio_enable_func" },
	{ 0xab9ec8a8, "sdio_claim_irq" },
	{ 0x24a4f644, "mmc_hw_reset" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0x7f8019ef, "mwifiex_disable_auto_ds" },
	{ 0x4e73593f, "__dev_kfree_skb_any" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4bfcb04c, "mwifiex_process_sleep_confirm_resp" },
	{ 0x999e8297, "vfree" },
	{ 0xdd0762cb, "mwifiex_main_process" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xffcdd0c, "mwifiex_prepare_fw_dump_info" },
	{ 0x117470f7, "sdio_get_host_pm_caps" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x9de9f296, "skb_trim" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xad987e0a, "_mwifiex_dbg" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xda9bd6d, "mwifiex_add_card" },
	{ 0xc5850110, "printk" },
	{ 0x3ba04f51, "mwifiex_shutdown_sw" },
	{ 0xc8a0852d, "skb_pull" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0xd4dad9f3, "mwifiex_alloc_dma_align_buf" },
	{ 0x94b6492c, "sdio_readsb" },
	{ 0x79736b3b, "sdio_unregister_driver" },
	{ 0x3afa8ebf, "sdio_set_host_pm_flags" },
	{ 0x22dff0ca, "mwifiex_dnld_fw" },
	{ 0x97e84d2f, "skb_queue_tail" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x12a38747, "usleep_range" },
	{ 0x74afcd76, "sdio_release_irq" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xe1417cd9, "sdio_f0_readb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9f42fc2, "mwifiex_reinit_sw" },
	{ 0xfef4e5ce, "mwifiex_handle_rx_packet" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x67cbb171, "mwifiex_deauthenticate_all" },
	{ 0x5120d990, "mwifiex_remove_card" },
	{ 0xd9e315fd, "mwifiex_enable_hs" },
	{ 0x654555a0, "mwifiex_upload_device_dump" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc38e222b, "sdio_register_driver" },
	{ 0x88f24b6, "sdio_claim_host" },
	{ 0x31ef09a6, "mwifiex_drv_info_dump" },
	{ 0x506c2e44, "skb_put" },
	{ 0x159ffeb5, "devm_kmalloc" },
	{ 0x261707fc, "mwifiex_init_shutdown_fw" },
	{ 0x1026923d, "sdio_set_block_size" },
	{ 0xd98764f1, "sdio_disable_func" },
	{ 0x5cabbed0, "sdio_release_host" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mmc_core,mwifiex";

MODULE_ALIAS("sdio:c*v02DFd9116*");
MODULE_ALIAS("sdio:c*v02DFd9119*");
MODULE_ALIAS("sdio:c*v02DFd9129*");
MODULE_ALIAS("sdio:c*v02DFd912D*");
MODULE_ALIAS("sdio:c*v02DFd9135*");
MODULE_ALIAS("sdio:c*v02DFd9139*");
MODULE_ALIAS("sdio:c*v02DFd9145*");
MODULE_ALIAS("sdio:c*v02DFd9149*");
MODULE_ALIAS("sdio:c*v02DFd9141*");

MODULE_INFO(srcversion, "A56FC80789086AFFD443D74");

MODULE_INFO(suserelease, "SLE15-SP3");
