#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x5760519, "mt76x02_remove_interface" },
	{ 0xa3b2287b, "__mt76_poll" },
	{ 0x99c1f99, "__mutex_do_init" },
	{ 0x99ca5968, "mt76_sta_pre_rcu_remove" },
	{ 0xb372471d, "mt76_sw_scan" },
	{ 0x26150d6f, "mt76x02_conf_tx" },
	{ 0x1dcce397, "mt76x02_ampdu_action" },
	{ 0x593019cf, "mt76u_stop_rx" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0xfaefdd7, "mt76x02u_exit_beacon_config" },
	{ 0xeadbbac1, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x62a97f1c, "mt76u_vendor_request" },
	{ 0xca02466c, "ieee80211_unregister_hw" },
	{ 0xd84ca236, "mt76x02u_init_beacon_config" },
	{ 0x7338cabc, "mt76u_stop_tx" },
	{ 0x2e6f6db1, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa74609d5, "mt76x02_bss_info_changed" },
	{ 0xd4cf906c, "mt76x02u_mac_start" },
	{ 0xbb8fed44, "mt76x0_init_hardware" },
	{ 0x16d935a5, "mt76_sta_state" },
	{ 0x5a47dfd3, "mt76x02_set_rts_threshold" },
	{ 0xcb563243, "mt76x02u_tx_prepare_skb" },
	{ 0x1c3cb153, "mt76x02u_init_mcu" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0x8b3b1673, "mt76_get_survey" },
	{ 0x474a51c, "mt76u_init" },
	{ 0xc0c8500f, "mt76x02u_mcu_fw_send_data" },
	{ 0x76baca9a, "mt76x0_mac_stop" },
	{ 0x645dd0bb, "mt76x02_sta_add" },
	{ 0x50a611cf, "mt76x02_tx_status_data" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0x377bb6c7, "mt76x02_sta_remove" },
	{ 0x44b4d8b6, "mt76x02_tx" },
	{ 0x5af07b33, "__mt76_poll_msec" },
	{ 0xed733b9a, "mt76x02_sw_scan_complete" },
	{ 0x912087d6, "mt76_set_tim" },
	{ 0x77770f45, "mt76x0_phy_calibrate" },
	{ 0xcf2667c3, "mt76x02u_mcu_fw_reset" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0xe6869714, "mt76x0_register_device" },
	{ 0x5a802335, "mt76x0_config" },
	{ 0x3d1fc6e2, "ieee80211_queue_delayed_work" },
	{ 0x9c2e244a, "mt76u_queues_deinit" },
	{ 0x92da0f89, "mt76x02_queue_rx_skb" },
	{ 0xa1a07576, "mt76x0_chip_onoff" },
	{ 0x280f3ff7, "mt76_free_device" },
	{ 0xcc61683, "mt76x02_configure_filter" },
	{ 0x1389aad3, "_dev_info" },
	{ 0x962a37cc, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdfd0796, "mt76x02_update_channel" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x1ddfef89, "usb_reset_device" },
	{ 0x5c1e72c4, "usb_put_dev" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xaa016fcf, "mt76_alloc_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x55f2b915, "mt76x02_sta_rate_tbl_update" },
	{ 0x5ea291bc, "mt76u_resume_rx" },
	{ 0x5907796a, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0xb0db6042, "mt76_get_antenna" },
	{ 0x18577939, "mt76_wake_tx_queue" },
	{ 0x9d47b4fa, "mt76_get_txpower" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0xbd7e9027, "request_firmware" },
	{ 0xd97075f3, "mt76_release_buffered_frames" },
	{ 0x8f0b0221, "mt76x02_set_key" },
	{ 0x383b768b, "firmware_request_nowarn" },
	{ 0x159ffeb5, "devm_kmalloc" },
	{ 0x64ea6226, "release_firmware" },
	{ 0x51aebd72, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "EE8F258F449F08CA957AD96");

MODULE_INFO(suserelease, "SLE15-SP3");
