#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0xed8548fd, "param_ops_string" },
	{ 0xf7142e7, "param_ops_int" },
	{ 0x77ae7bed, "usbnet_get_stats64" },
	{ 0x4a86c39b, "usbnet_tx_timeout" },
	{ 0x22c143ce, "eth_validate_addr" },
	{ 0xed0cc47c, "eth_mac_addr" },
	{ 0x5cc1c6b3, "usbnet_start_xmit" },
	{ 0xcc3a9dc9, "usbnet_stop" },
	{ 0x9a14c533, "usbnet_open" },
	{ 0x8f407bdc, "rndis_tx_fixup" },
	{ 0xc456e580, "rndis_rx_fixup" },
	{ 0xb5dadb52, "rndis_status" },
	{ 0x4c4f0493, "usbnet_resume" },
	{ 0x97dd7342, "usbnet_suspend" },
	{ 0xb11dd0b2, "usbnet_disconnect" },
	{ 0xefbff16b, "usbnet_probe" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0xd4f1948d, "wiphy_register" },
	{ 0x30ac2aa5, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x99c1f99, "__mutex_do_init" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x74c60767, "wiphy_new_nm" },
	{ 0x57d0af91, "netdev_err" },
	{ 0x4ad1e788, "usbnet_purge_paused_rxq" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xc1b99792, "ieee80211_channel_to_freq_khz" },
	{ 0x3b19a51b, "netif_carrier_off" },
	{ 0x6916c5c4, "cfg80211_disconnected" },
	{ 0xc5850110, "printk" },
	{ 0x414da01d, "cfg80211_roamed" },
	{ 0xed0f8077, "cfg80211_ibss_joined" },
	{ 0x7ad16bdc, "netif_carrier_on" },
	{ 0xefa34813, "usbnet_resume_rx" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x97c60204, "cfg80211_cqm_rssi_notify" },
	{ 0xa6fe3b8c, "cfg80211_put_bss" },
	{ 0xb95cac5e, "ieee80211_get_channel_khz" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5ce71e38, "cfg80211_scan_done" },
	{ 0x7acacd15, "wiphy_free" },
	{ 0x180d8d38, "wiphy_unregister" },
	{ 0x6972fe64, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9f2089d9, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0x577f5e96, "rndis_command" },
	{ 0x69acdf38, "memcpy" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb3efb76e, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x69d8e5da, "cfg80211_connect_done" },
	{ 0x6d91cc7f, "usbnet_pause_rx" },
	{ 0x9900bda2, "cfg80211_michael_mic_failure" },
	{ 0x43999a92, "__dynamic_netdev_dbg" },
	{ 0xff4be3e, "cfg80211_pmksa_candidate_notify" },
	{ 0xa8826818, "netdev_info" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "6146B9093F7565359CCA300");

MODULE_INFO(suserelease, "SLE15-SP3");
