#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x91eb7223, "snd_hda_gen_add_mute_led_cdev" },
	{ 0x3784708e, "snd_hda_gen_free" },
	{ 0x6f6f66c4, "snd_hda_codec_get_pin_target" },
	{ 0x75fec40, "snd_hda_mixer_amp_volume_put" },
	{ 0xcc83b9c5, "snd_hda_input_mux_info" },
	{ 0x46410d73, "snd_hda_gen_parse_auto_config" },
	{ 0x1e52156c, "snd_hda_apply_fixup" },
	{ 0x42fed200, "snd_hda_pick_fixup" },
	{ 0x3b73ac2d, "snd_hda_mixer_amp_tlv" },
	{ 0x7d7d948f, "snd_hda_gen_build_pcms" },
	{ 0x9be80037, "snd_hda_jack_unsol_event" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x2e02a6c6, "snd_hda_gen_update_outputs" },
	{ 0x2a316dee, "snd_hda_get_path_from_idx" },
	{ 0xca236e22, "snd_hda_mixer_amp_volume_get" },
	{ 0xa98359ab, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0x8a66ef46, "snd_hda_gen_check_power_status" },
	{ 0x9fedf0a5, "snd_hda_codec_set_pin_target" },
	{ 0x7e4608c2, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xf5f6908f, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0xaff99296, "snd_hda_activate_path" },
	{ 0xa52bc1f3, "snd_hda_gen_init" },
	{ 0x182a639c, "snd_hda_parse_pin_defcfg" },
	{ 0x16363c45, "snd_hda_jack_set_gating_jack" },
	{ 0x882011fd, "__hda_codec_driver_register" },
	{ 0xd4c0c422, "snd_hda_override_amp_caps" },
	{ 0xea733f00, "snd_ctl_boolean_mono_info" },
	{ 0x1389aad3, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x112447f6, "_snd_hdac_read_parm" },
	{ 0xc694253e, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xc4b4b831, "snd_hda_gen_reboot_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x6f715d98, "snd_hda_gen_add_kctl" },
	{ 0x31034e95, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x44b4f0e8, "snd_hdac_codec_write" },
	{ 0x84709bc4, "snd_hda_add_new_path" },
	{ 0xfd332e51, "hda_codec_driver_unregister" },
	{ 0x761b53b2, "snd_hda_mixer_amp_switch_info" },
	{ 0xff59f3dd, "snd_hda_gen_spec_init" },
	{ 0x6f7af920, "snd_hda_jack_detect_state_mst" },
	{ 0x7fa30892, "snd_hdac_regmap_read_raw" },
	{ 0x117ca3f5, "snd_hda_mixer_amp_volume_info" },
	{ 0xfb07623a, "query_amp_caps" },
	{ 0xab647750, "snd_hda_gen_mic_autoswitch" },
	{ 0x364b4e4, "snd_hda_gen_build_controls" },
	{ 0x710a313e, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "7DBF6863A4723A0769627B7");

MODULE_INFO(suserelease, "SLE15-SP3");
