#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4958f3b6, "snd_soc_dapm_get_enum_double" },
	{ 0xefa9e121, "regmap_register_patch" },
	{ 0x3a32e179, "i2c_del_driver" },
	{ 0x2dd2a3, "snd_soc_dapm_get_volsw" },
	{ 0x5d5bda44, "regmap_update_bits_base" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc058fef0, "gpio_to_desc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x64f4f186, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xac3a6e01, "snd_soc_component_update_bits" },
	{ 0x25b7c647, "snd_soc_put_volsw" },
	{ 0x9dc03abb, "regmap_read" },
	{ 0xd00fa3a6, "snd_soc_get_volsw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x9f2b952, "snd_soc_info_enum_double" },
	{ 0xa6bad95c, "snd_soc_dapm_add_routes" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xc5850110, "printk" },
	{ 0xf24340ee, "snd_soc_add_component_controls" },
	{ 0x1cfec3bf, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0x32a21d36, "snd_soc_dapm_force_bias_level" },
	{ 0xfd91f2e0, "snd_soc_dapm_put_volsw" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x6661241b, "devm_gpio_request_one" },
	{ 0xf84da1ce, "snd_soc_info_volsw" },
	{ 0xdb4ac265, "i2c_register_driver" },
	{ 0x389f31bb, "devm_add_action" },
	{ 0x7e9af038, "snd_soc_get_enum_double" },
	{ 0x68f40ab6, "device_property_read_u32_array" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb00ed383, "__devm_regmap_init_i2c" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x5745edbd, "devm_snd_soc_register_component" },
	{ 0x99bbb964, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b21d4b, "devm_clk_get" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x5b599a44, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0xf6001766, "regcache_mark_dirty" },
	{ 0x9999176c, "snd_soc_put_enum_double" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbb7ae72e, "snd_soc_dapm_sync_unlocked" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x10f51ef9, "gpiod_set_raw_value_cansleep" },
	{ 0x287126f8, "snd_soc_component_read" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5ac4b17f, "snd_soc_jack_report" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0x159ffeb5, "devm_kmalloc" },
	{ 0xd2bc870e, "devm_request_threaded_irq" },
	{ 0xc94b275b, "regmap_write" },
	{ 0xfc8e1655, "regcache_sync" },
	{ 0x768af6a5, "regcache_cache_only" },
	{ 0xb5821916, "device_property_present" },
	{ 0xebedb5d1, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core,snd-soc-rl6231";

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "67D41A6DC94EA85ACBE97C2");

MODULE_INFO(suserelease, "SLE15-SP3");
